## xb-stack xb-stack |

## Functions

gchar * | xb_stack_to_string ()
XbOpcode * | xb_stack_pop ()
gboolean | xb_stack_push ()
gboolean | xb_stack_push_steal ()

## Description

## Functions

### xb_stack_to_string ()

    gchar *
    xb_stack_to_string (XbStack *self);

Returns a string representing a stack.

#### Parameters

self | a XbStack |

#### Returns

text

Since: 0.1.4

### xb_stack_pop ()

    XbOpcode *
    xb_stack_pop (XbStack *self);

Pops an opcode off the stack.

#### Parameters

self | a XbStack |

#### Returns

a XbOpcode.

[transfer full]

Since: 0.1.3

### xb_stack_push ()

    gboolean
    xb_stack_push (XbStack *self,
                   XbOpcode *opcode);

Pushes a new opcode onto the end of the stack

#### Parameters

self | a XbStack |
opcode | a XbOpcode |

#### Returns

`TRUE` if the opcode was stored on the stack

Since: 0.1.3

### xb_stack_push_steal ()

    gboolean
    xb_stack_push_steal (XbStack *self,
                         XbOpcode *opcode);

Pushes a new opcode onto the end of the stack

#### Parameters

self | a XbStack |
opcode | a XbOpcode, which is consumed |

#### Returns

`TRUE` if the opcode was stored on the stack

Since: 0.1.3